%define tarname FormatR
Summary: Perl-style formats for Ruby
Name: ruby-FormatR
Version: 1.08
Release: 1
License: unknown
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/formatr/%{tarname}.%{version}.tar.gz
URL: http://formatr.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
FormatR provides Perl-like formats for Ruby. These are used to create output
with a similar format but with changing values. It's as full-featured as the
Perl version and then some.

%prep
%setup -n %{tarname}.%{version}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval sitedir=`ruby -r rbconfig -e 'p Config::CONFIG["sitedir"]'`
mkdir -p $RPM_BUILD_ROOT$sitedir
install format.rb $RPM_BUILD_ROOT/$sitedir
find $RPM_BUILD_ROOT$sitedir -type f -print | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Aug  5 2003 Ian Macdonald <ian@caliban.org> 1.08-1
- 1.08

* Thu Jan  2 2003 Ian Macdonald <ian@caliban.org>
- 1.07

* Mon Jul 29 2002 Ian Macdonald <ian@caliban.org>
- 1.06

* Sun Apr 14 2002 Ian Macdonald <ian@caliban.org>
- 1.05
